Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

i am creating my own portable server but i can't make it to run the phpMyAdmin, the mysql, php and apache is running except for phpMyAdmin. When i check Apache's error log, it states

[Fri Nov 09 08:54:37 2012] [warn] pid file F:/Drive WebServer/Drive WebServer/bin/Debug/Apache2bak/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
PHP Warning:  PHP Startup: Unable to load dynamic library './php_mysql.dll' - The specified module could not be found.\r\n in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library './php_mysqli.dll' - The specified module could not be found.\r\n in Unknown on line 0
[Fri Nov 09 08:54:37 2012] [notice] Apache/2.0.64 (Win32) PHP/5.2.17 configured -- resuming normal operations
[Fri Nov 09 08:54:37 2012] [notice] Server built: Oct 18 2010 01:36:23
[Fri Nov 09 08:54:37 2012] [notice] Parent: Created child process 6784

i manually assign the exact path for this F:/php/ext/php_mysql.dll

PHP Warning:  PHP Startup: Unable to load dynamic library 'F:/php/ext/php_mysql.dll' - The specified module could not be found.\r\n in Unknown on line 0

but still the same error.

i set this option in php.ini

extension_dir = "./"

another error goes pops out

It says libmysql.dll is missing.

PHP Version : 5.2.17

Any help would be appreciated. ;)

share|improve this question

closed as off topic by Michael Hampton, Brent Pabst, mdpc, Scott Pack, Magellan Nov 10 '12 at 0:15

Questions on Server Fault are expected to relate to professional server, networking, or related infrastructure administration within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

1  
PHP 5.2? Apache 2.0?! –  Michael Hampton Nov 9 '12 at 1:37

1 Answer 1

up vote 2 down vote accepted

extension_dir = "./"

No. Using a relative path in the php.ini is a very silly idea - the cwd of PHP is rather diffcult to predict. Use an absolute path

Unable to load dynamic library 'F:/php/ext/php_mysql.dll'

Then there's a permissions problem, and/or you've got the wrong DLL version, and/or you've not got the dependencies installed.

libmysql.dll is missing

Then you've got a missing dependency. This might be bundled with your mysql server install in which case you just need to make sure that PHP can find it when it runs.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.